@-webkit-keyframes touchup { 0% { -webkit-transform: scale(1); }
  30% { -webkit-transform: scale(1.2); }
  60% { -webkit-transform: scale(0.9); }
  80% { -webkit-transform: scale(1.1); }
  95% { -webkit-transform: scale(0.95); }
  100% { -webkit-transform: scale(1); } }

.touchup { -webkit-animation: touchup 0.3s; -webkit-animation-timing-function: ease-out; -webkit-animation-direction: alternate; -webkit-animation-iteration-count: 1; }

.select_paint { -webkit-animation: touchup 0.5s; -webkit-animation-timing-function: ease-out; -webkit-animation-direction: alternate; -webkit-animation-iteration-count: 1; }

@-webkit-keyframes dialog_open { 0% { -webkit-transform: scale(0.8); }
  30% { -webkit-transform: scale(1.2); }
  60% { -webkit-transform: scale(0.9); }
  100% { -webkit-transform: scale(1); } }

.dialog_open { -webkit-animation: touchup 0.3s; -webkit-animation-timing-function: ease-out; -webkit-animation-direction: alternate; -webkit-animation-iteration-count: 1; }

@-webkit-keyframes info_open { 0% { -webkit-transform: scale(0.9); opacity: 0; }
  50% { -webkit-transform: scale(1.1); opacity: 1.0; }
  100% { -webkit-transform: scale(1); opacity: 1.0; } }

.info_open { -webkit-animation: info_open 0.3s; -webkit-animation-timing-function: ease-out; -webkit-animation-direction: alternate; -webkit-animation-iteration-count: 1; }

@-webkit-keyframes paint_palette_pen_up { 0% { -webkit-transform: translate(0px, 0px); }
  30% { -webkit-transform: translate(0px, -170px); }
  60% { -webkit-transform: translate(0px, -130px); }
  100% { -webkit-transform: translate(0px, -150px); } }

@-webkit-keyframes paint_palette_pen_down { 0% { -webkit-transform: translate(0px, -150px); }
  30% { -webkit-transform: translate(0px, 20px); }
  60% { -webkit-transform: translate(0px, -20px); }
  100% { -webkit-transform: translate(0px, 0px); } }

@-webkit-keyframes paint_palette_paint_up { 0% { -webkit-transform: translate(0px, 0px); }
  30% { -webkit-transform: translate(0px, -170px); }
  60% { -webkit-transform: translate(0px, -130px); }
  100% { -webkit-transform: translate(0px, -150px); } }

@-webkit-keyframes paint_palette_paint_down { 0% { -webkit-transform: translate(0px, -150px); }
  30% { -webkit-transform: translate(0px, 20px); }
  60% { -webkit-transform: translate(0px, -20px); }
  100% { -webkit-transform: translate(0px, 0px); } }

@-webkit-keyframes paint_palette_open { 0% { -webkit-transform: translate(840px, 0px); }
  30% { -webkit-transform: translate(420px, 0px); }
  40% { -webkit-transform: translate(0px, 0px); }
  60% { -webkit-transform: translate(120px, 0px); }
  70% { -webkit-transform: translate(0px, 0px); }
  80% { -webkit-transform: translate(120px, 0px); }
  100% { -webkit-transform: translate(0px, 0px); } }

@-webkit-keyframes paint_palette_close { 0% { -webkit-transform: translate(0px, 0px); }
  30% { -webkit-transform: translate(240px, 0px); }
  60% { -webkit-transform: translate(640px, 0px); }
  100% { -webkit-transform: translate(840px, 0px); } }

.paint_palette_pen_up { -webkit-animation: paint_palette_pen_up 0.3s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }

.paint_palette_pen_down { -webkit-animation: paint_palette_pen_down 0.3s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }

.paint_palette_paint_up { -webkit-animation: paint_palette_paint_up 0.3s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }

.paint_palette_paint_down { -webkit-animation: paint_palette_paint_down 0.3s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }

.paint_palette_open { -webkit-animation: paint_palette_open 0.5s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }

.paint_palette_close { -webkit-animation: paint_palette_close 0.3s; -webkit-animation-timing-function: linear; -webkit-animation-fill-mode: forwards; }
